Bullet Collision Detection & Physics Library: Bullet::SoftBodyConfigData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::SoftBodyConfigData Class Reference

`#include <bullet.h>`

## Public Attributes
int | m_aeroModel
float | m_baumgarte
float | m_damping
float | m_drag
float | m_lift
float | m_pressure
float | m_volume
float | m_dynamicFriction
float | m_poseMatch
float | m_rigidContactHardness
float | m_kineticContactHardness
float | m_softContactHardness
float | m_anchorHardness
float | m_softRigidClusterHardness
float | m_softKineticClusterHardness
float | m_softSoftClusterHardness
float | m_softRigidClusterImpulseSplit
float | m_softKineticClusterImpulseSplit
float | m_softSoftClusterImpulseSplit
float | m_maxVolume
float | m_timeScale
int | m_velocityIterations
int | m_positionIterations
int | m_driftIterations
int | m_clusterIterations
int | m_collisionFlags

## Detailed Description

Definition at line 1322 of file bullet.h.

## Member Data Documentation

## ◆ m_aeroModel

int Bullet::SoftBodyConfigData::m_aeroModel

Definition at line 1325 of file bullet.h.

## ◆ m_anchorHardness

float Bullet::SoftBodyConfigData::m_anchorHardness

Definition at line 1337 of file bullet.h.

## ◆ m_baumgarte

float Bullet::SoftBodyConfigData::m_baumgarte

Definition at line 1326 of file bullet.h.

## ◆ m_clusterIterations

int Bullet::SoftBodyConfigData::m_clusterIterations

Definition at line 1349 of file bullet.h.

## ◆ m_collisionFlags

int Bullet::SoftBodyConfigData::m_collisionFlags

Definition at line 1350 of file bullet.h.

## ◆ m_damping

float Bullet::SoftBodyConfigData::m_damping

Definition at line 1327 of file bullet.h.

## ◆ m_drag

float Bullet::SoftBodyConfigData::m_drag

Definition at line 1328 of file bullet.h.

## ◆ m_driftIterations

int Bullet::SoftBodyConfigData::m_driftIterations

Definition at line 1348 of file bullet.h.

## ◆ m_dynamicFriction

float Bullet::SoftBodyConfigData::m_dynamicFriction

Definition at line 1332 of file bullet.h.

## ◆ m_kineticContactHardness

float Bullet::SoftBodyConfigData::m_kineticContactHardness

Definition at line 1335 of file bullet.h.

## ◆ m_lift

float Bullet::SoftBodyConfigData::m_lift

Definition at line 1329 of file bullet.h.

## ◆ m_maxVolume

float Bullet::SoftBodyConfigData::m_maxVolume

Definition at line 1344 of file bullet.h.

## ◆ m_poseMatch

float Bullet::SoftBodyConfigData::m_poseMatch

Definition at line 1333 of file bullet.h.

## ◆ m_positionIterations

int Bullet::SoftBodyConfigData::m_positionIterations

Definition at line 1347 of file bullet.h.

## ◆ m_pressure

float Bullet::SoftBodyConfigData::m_pressure

Definition at line 1330 of file bullet.h.

## ◆ m_rigidContactHardness

float Bullet::SoftBodyConfigData::m_rigidContactHardness

Definition at line 1334 of file bullet.h.

## ◆ m_softContactHardness

float Bullet::SoftBodyConfigData::m_softContactHardness

Definition at line 1336 of file bullet.h.

## ◆ m_softKineticClusterHardness

float Bullet::SoftBodyConfigData::m_softKineticClusterHardness

Definition at line 1339 of file bullet.h.

## ◆ m_softKineticClusterImpulseSplit

float Bullet::SoftBodyConfigData::m_softKineticClusterImpulseSplit

Definition at line 1342 of file bullet.h.

## ◆ m_softRigidClusterHardness

float Bullet::SoftBodyConfigData::m_softRigidClusterHardness

Definition at line 1338 of file bullet.h.

## ◆ m_softRigidClusterImpulseSplit

float Bullet::SoftBodyConfigData::m_softRigidClusterImpulseSplit

Definition at line 1341 of file bullet.h.

## ◆ m_softSoftClusterHardness

float Bullet::SoftBodyConfigData::m_softSoftClusterHardness

Definition at line 1340 of file bullet.h.

## ◆ m_softSoftClusterImpulseSplit

float Bullet::SoftBodyConfigData::m_softSoftClusterImpulseSplit

Definition at line 1343 of file bullet.h.

## ◆ m_timeScale

float Bullet::SoftBodyConfigData::m_timeScale

Definition at line 1345 of file bullet.h.

## ◆ m_velocityIterations

int Bullet::SoftBodyConfigData::m_velocityIterations

Definition at line 1346 of file bullet.h.

## ◆ m_volume

float Bullet::SoftBodyConfigData::m_volume

Definition at line 1331 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h